%define  patch_name kernel-fix-net

Name: %patch_name
Version: 2005.08.14
Release: alt1.M30.1

Summary: %patch_name kernel patch - Linux network layer fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	2.4_00_irlan-makefile-fix.patch			2.4
%source  1	2.4_01_module_license.patch			2.4
%source  2	2.4_02_8021q-proc-update.patch			2.4

%source 2601	2.6_01_netlink-socket-hashing.patch			2.6
%source 2603	2.6_03_netfilter-conntrack-fix-fix.patch		2.6
%source 2604	2.6_04_early-vlan-fix.patch				2.6
%source 2605	2.6_05_ipsec-array-overflow.patch			2.6
%source 2606	2.6_06_netfilter-NAT-memory-corruption.patch		2.6
%source 2607	2.6_07_netfilter-deadlock-ip6_queue.patch		2.6
%source 2608	2.6_08_netfilter-ip_conntrack_untracked-refcount.patch	2.6
%source 2609	2.6_09_skb-signedness-fix.patch				2.6
%source 2610	2.6_10_fix-dst-leak-in-icmp_push_reply.patch		2.6
%source 2611	2.6_11_ipsec-socket-policy-use-cap.patch		2.6
%source 2612	2.6_12_ipv6-skb-leak.patch				2.6


BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux network layer fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1.M30.1
- Added:
  + 2.6_10_fix-dst-leak-in-icmp_push_reply.patch: ipv4: fix DST leak in
    icmp_push_reply()
  + 2.6_11_ipsec-socket-policy-use-cap.patch: ipsec: restrict socket policy
    loading to CAP_NET_ADMIN (CAN-2005-2555)
  + 2.6_12_ipv6-skb-leak.patch: ipv6: fix SKB leak in ip6_input_finish()

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_04_early-vlan-fix.patch: fix early vlan adding leads to not functional
    device
  + 2.6_05_ipsec-array-overflow.patch: xfrm: fix possible overflow of
    sock->sk_policy
  + 2.6_06_netfilter-NAT-memory-corruption.patch: fix potential memory
    corruption in NAT code
  + 2.6_07_netfilter-deadlock-ip6_queue.patch: fix deadlock in ip6_queue
  + 2.6_08_netfilter-ip_conntrack_untracked-refcount.patch: wait until all
    references to ip_conntrack_untracked are dropped on unload
  + 2.6_09_skb-signedness-fix.patch: fix signedness issues in net/core/filter.c

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Removed:
  - 2.6_00_netfilter-bridge-fix.patch (broken)
- Added:
  + 2.6_03_netfilter-conntrack-fix-fix.patch: revert the nf_reset change
    completely (previous fix was not enough); drop conntrack references
    manually before packets are queued to packet sockets

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_export-tcp_timer_bug_msg.patch
  - 2.6_01_netrom-locking-fix.patch
  - 2.6_02_proc-net-route-oops.patch
  - 2.6_03_fix-__xfrm_find_acq_byseq.patch
  - 2.6_04_ipsec-deadlock.patch
  - 2.6_05_tcp-bic-fix.patch
  - 2.6_06_ebtables-fix-smp-race.patch
  - 2.6_07_rose-verify-ndigis.patch
  - 2.6_08_bridge-fdb-postfilter.patch
  - 2.6_09_netem-duplication-fix.patch
  - 2.6_10_netfilter-ip_queue-deadlock-fix.patch
- Added:
  + 2.6_00_netfilter-bridge-fix.patch: fix connection tracking on bridges
  + 2.6_01_netlink-socket-hashing.patch: fix socket hashing bugs in netlink

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_08_bridge-fdb-postfilter.patch: avoid poisoning of the bridge
    forwarding table by frames that have been dropped by filtering
  + 2.6_09_netem-duplication-fix.patch: netem: avoid infinite loop in
    qdisc_run() when using duplication
  + 2.6_10_netfilter-ip_queue-deadlock-fix.patch: fix deadlock with ip_queue
    and tcp local input path

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_06_ebtables-fix-smp-race.patch: fix smp race under heavy load
  + 2.6_07_rose-verify-ndigis.patch: verify ndigis in rose_rt_ioctl()

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_04_ipsec-deadlock.patch: fix deadlock in IPsec when sending ICMP
    "fragmentation needed" packet
  + 2.6_05_tcp-bic-fix.patch: fix binary search in the BIC congestion control
    algorithm

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_01_netrom-locking-fix.patch: fix deadlock in NetROM
  + 2.6_02_proc-net-route-oops.patch: fix crash while reading /proc/net/route
  + 2.6_03_fix-__xfrm_find_acq_byseq.patch: fix bug in IPSEC support

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_008-sock_without_ipv6.patch
  - 2.6_00_009-ipt_ecn_corrupt_chksum.patch
  - 2.6_00_012-conntrack_standalone_proc_removal.patch
  - 2.6_00_013-conntrack_standalone_sysctl.patch
  - 2.6_00_017-conntrack_sctp_sysctl.patch
  - 2.6_00_018-ipt_recent_proc_remove.patch
  - 2.6_00_019-conntrack_tcp_RST_handling.patch
  - 2.6_00_021-sunrpc_check_before_kill.patch
  - 2.6_00_022-sunrpc_xdr_flush_pages.patch
  - 2.6_00_037-sctp_err_lookup_oops.patch
  - 2.6_00_040-sk_forward_alloc_underflow.patch
  - 2.6_00_046-ipv6_sit_lock.patch
  - 2.6_00_047-do_tcp_sendpages_tso_assertion.patch
  - 2.6_00_072-sctp_do_bind_random_port.patch
- Added:
  + 2.6_00_export-tcp_timer_bug_msg.patch: export tcp_timer_bug_msg for modular
    ipv6 build

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_008-sock_without_ipv6.patch
  + 2.6_00_009-ipt_ecn_corrupt_chksum.patch
  + 2.6_00_012-conntrack_standalone_proc_removal.patch
  + 2.6_00_013-conntrack_standalone_sysctl.patch
  + 2.6_00_017-conntrack_sctp_sysctl.patch
  + 2.6_00_018-ipt_recent_proc_remove.patch
  + 2.6_00_019-conntrack_tcp_RST_handling.patch
  + 2.6_00_021-sunrpc_check_before_kill.patch
  + 2.6_00_022-sunrpc_xdr_flush_pages.patch
  + 2.6_00_037-sctp_err_lookup_oops.patch
  + 2.6_00_040-sk_forward_alloc_underflow.patch
  + 2.6_00_046-ipv6_sit_lock.patch
  + 2.6_00_047-do_tcp_sendpages_tso_assertion.patch
  + 2.6_00_072-sctp_do_bind_random_port.patch

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Updated for kernel 2.6.10.
- Removed obsolete patches:
  - 2.6_50_ip-conntrack-depends-fix.patch

* Thu Oct 28 2004 Anton Farygin <rider@altlinux.ru> 2004.10.28-alt1
- Added for 2.6.9:
    - 2.6_50_ip-conntrack-depends-fix.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 02_msfilter-error.patch
   - 03_masquerade-ip_rt_put.patch
- Added:
   + 02_8021q-proc-update.patch: updated 8021q (VLAN) /proc support code (fixes
     /proc/net/vlan/config truncation with large number of VLANs; Bug #5296)

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 02_ipt_ECN-unclone-fix.patch
  - 03_nat-unused.patch
  - 04_udp-no-EAGAIN.patch
  - 08_igmp-ip_mc_down.patch
  - 09_igmp-init-fix.patch
  - 10_ipv4-tcp_tw_put.patch
  - 11_ipv6-tcp_tw_put.patch
- Added:
  + 02_msfilter-error.patch: fix return value on MCAST_MSFILTER error case
  + 03_masquerade-ip_rt_put.patch: missing ip_rt_put in ipt_MASQUERADE

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.20-alt1
- Removed (moved to kernel-fix-security):
  - 05_igmp-msfilter-check.patch
  - 06_igmp-msfilter-check.patch
  - 07_export-sysctl_optmem_max.patch

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.03-alt1
- Added:
  + 08_igmp-ip_mc_down.patch: do nothing in ip_mc_down() if ip_mc_up() was not
    called previously
  + 09_igmp-init-fix.patch: fix IGMPv3 timer initialization when device not
    'upped'
  + 10_ipv4-tcp_tw_put.patch: use tcp_tw_put on time-wait sockets
  + 11_ipv6-tcp_tw_put.patch: use tcp_tw_put on time-wait sockets (IPv6)

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 02_ipt_ECN-unclone-fix.patch: fix ECN target cloned skb problem
  + 03_nat-unused.patch: kill unused structure member
  + 04_udp-no-EAGAIN.patch: do not return -EAGAIN on blocking UDP socket
  + 05_igmp-msfilter-check.patch: verify MSFILTER option length
  + 06_igmp-msfilter-check.patch: check for MSFILTER length overflow
  + 07_export-sysctl_optmem_max.patch: export sysctl_optmem_max to modules

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches (merged upstream):
  - 15_sock_queue_rcv_skb-len.patch
  - 16_econet-skb-leak.patch

* Mon Jan 19 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.19-alt1
- Updated for kernel 2.4.24.
- Removed obsolete patches (merged upstream):
  - 02_iproute2-build-fix.patch
  - 04_bridge-kfree_skb.patch
  - 05_bridge-checksum-fix.patch
  - 06_ipt_REJECT-OUTPUT-fix.patch
  - 07_igmp-ip_mc_list-deadlock.patch
  - 08_skb-unshare-before-mangling.patch
  - 09_vlan-shared-skb.patch
  - 10_ip_fragment-nfcache.patch
  - 11_ipv6-mcast-typo.patch
  - 12_ipt_REDIRECT-oops.patch
  - 13_destroy_conntrack-locking.patch
  - 14_conntrack-original-dst.patch

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 15_sock_queue_rcv_skb-len.patch: do not deref skb->len after it is
    queued to the socket.
  + 16_econet-skb-leak.patch: Do not leak SKBs if ec_queue_packet()
    fails.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 13_destroy_conntrack-locking.patch
  + 14_conntrack-original-dst.patch
- Removed:
  - 03_nat-range-fix.patch (seems to uncover more problems in netfilter which
    are not yet fixed).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Removed 02_kill_igmpv3.patch (replaced with another version which was
  accepted into 2.4.23-pre).
- Added:
  + 02_iproute2-build-fix.patch
  + 03_nat-range-fix.patch
  + 04_bridge-kfree_skb.patch
  + 05_bridge-checksum-fix.patch
  + 06_ipt_REJECT-OUTPUT-fix.patch
  + 07_igmp-ip_mc_list-deadlock.patch
  + 08_skb-unshare-before-mangling.patch
  + 09_vlan-shared-skb.patch
  + 10_ip_fragment-nfcache.patch
  + 11_ipv6-mcast-typo.patch
  + 12_ipt_REDIRECT-oops.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- added 02_kill_igmpv3.patch: hide IGMPv3 definitions from <linux/in.h> when
  included from userspace (workaround for #3053)

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 01_module_license.patch: add missing MODULE_LICENSE

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + irlan-makefile-fix - avoid duplicate modules

